#!/bin/bash
set -e

echo "🔄 Restarting AI stack containers..."

restart_container() {
  local name=$1

  if docker container ls -a --format '{{.Names}}' | grep -q "^$name$"; then
    echo "🔁 Restarting $name..."
    docker restart "$name"
  else
    echo "❌ $name not found — skipping."
  fi
}

# Core tools
restart_container open-webui
restart_container jupyterlab
restart_container comfyui
restart_container whisper
restart_container stable-diffusion
restart_container tg-webui
restart_container localai

# Custom-built
restart_container whispercpp-gpu
restart_container a1111-webui

echo "✅ All available containers restarted."
